libsmf

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

C chunk_header_struct | SMF chunk header, used only by smf_load.c and smf_save.c
C mthd_chunk_struct | SMF chunk, used only by smf_load.c and smf_save.c
C smf_event_struct | Represents a single MIDI event or metaevent
C smf_struct | Represents a "song", that is, collection of one or more tracks
C smf_tempo_struct | Describes a single tempo or time signature change
C smf_track_struct | Represents a single track